unit UMainForm;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  ComCtrls, UCore;

type

  { TMainForm }

  TMainForm = class(TForm)
    Image1: TImage;
    StatusBar1: TStatusBar;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Image1Resize(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  MainForm: TMainForm;

implementation

{$R *.lfm}

{ TMainForm }

procedure TMainForm.Timer1Timer(Sender: TObject);
begin
  Engine.Paint;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Engine.Bitmap := Image1.Picture.Bitmap;
  Image1Resize(Self);
end;

procedure TMainForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Engine.KeyState[Key] := True;
  StatusBar1.Panels[0].Text := IntToStr(Key);
end;

procedure TMainForm.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState
  );
begin
  Engine.KeyState[Key] := False;
end;

procedure TMainForm.Image1Resize(Sender: TObject);
begin
//  Image1.Picture.Bitmap.SetSize(Image1.Width, Image1.Height);
  Image1.Picture.Bitmap.SetSize(80, 60);
  Engine.ResizePlayerFrames;
end;

end.

